Subject: [wishlist] cyrillic-chuvash input method
From: [email-masked]
To: Bug Gnu Emacs <[email-masked]>
Date: Mon, 12 Dec 2022 17:15:43 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Please include a Chuvash (CV) input method (the one attached or something similar) in Emacs. I've created it based on "russian-computer" input method. I use it in my init.el and it is working, though I'm new to Emacs and somewhat unsure where and how it should properly be placed (inside other cyrillic ones, likely).

 It is almost all cyrillic, however Çç characters are Latin (letter c with cedilla), because there is actually no cyrillic С with a cedilla in Unicode. There are Ҫҫ (cyrillic letter es with descender), however they are unreliable as they often look wrong in practice:

• Bashkir, Chuvash
• letterforms with right hooks are preferred, although occasional variants with left hooks occur
• in Chuvashia, letterforms identical to or similar in form to 00E7 ç regularly occur
(from Unicode PDF on Cyrillic range)

Maybe it's simply a misnomer and half the world got it wrong, or not. I have no idea.